from django.core.exceptions import ValidationError
from django.db.models import Model

from .base import MutationResolver


class DeleteResolver(MutationResolver):
    def mutate(self):
        obj = self.get_object()
        self.delete_object(obj=obj)

    def delete_object(self, obj: Model):
        try:
            obj.delete()
        except ValidationError as e:
            self.add_validation_error(e)
