from typing import List


class MutationResponse:
    def __init__(self, errors: List[dict] = None, **data):
        """Easily create mutation responses in the correct format.

        Args:
            errors: A list of mutation errors.
            **data: Additional data to add to the MutationResponse.

        """
        self.errors = errors or []
        self.ok = not self.errors
        for k, v in data.items():
            setattr(self, k, v if self.ok else None)
