import os

from ariadne import load_schema_from_path


def read_schema(file_name: str) -> str:
    return load_schema_from_path(
        os.path.join(
            os.path.dirname(os.path.abspath(__file__)), "schema", file_name + ".graphql"
        )
    )


relay_type_defs = (
    read_schema("Connection")
    + read_schema("Edge")
    + read_schema("Node")
    + read_schema("PageInfo")
    + read_schema("Cursor")
)

mutation_type_defs = read_schema("MutationError") + read_schema("MutationResponse")

ariadne_django_resolvers_type_defs = relay_type_defs + mutation_type_defs
