from typing import Any

from ariadne import ObjectType

from .utils import convert_snake_case_to_camel_case

mutation_error = ObjectType("MutationError")


@mutation_error.field("field")
def resolve_field(error: Any, _):
    field = (
        error.get("field") if isinstance(error, dict) else getattr(error, "field", None)
    )
    return convert_snake_case_to_camel_case(field) if field is not None else None
